dpkg-statoverride(1)

NOM
dpkg-statoverride - Annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [option...] commande

DESCRIPTION
“stat overrides” are a way to tell dpkg(1) to use a different owner or mode for a path when a package is installed (this applies to any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

COMMANDES

--add utilisateur groupe mode chemin
    Ajoute une dérogation (« override ») pour chemin. chemin n'a pas besoin d'exister ni d'être connu de dpkg quand cette commande est utilisée ; la dérogation est stockée et utilisée par la suite. Les utilisateurs ou les groupes peuvent être indiqués par leur nom (par exemple root ou nobody) ou bien par leur numéro, en préfixant ce numéro par le caractère « # » (par exemple, #0 ou #65534). Le mode doit être indiqué en numérotation octale.

    Si --update est utilisée et si chemin existe, le fichier change immédiatement de propriétaire et de mode.

--remove  chemin
    Supprime une dérogation (« override ») pour chemin, l'état de chemin est inchangé.

--list [motif-global]
    Liste toutes les dérogations. Quand on donne une expression rationnelle (« glob »), la sortie est limitée aux dérogations qui correspondent au motif.

--help
    Afficher un message d'aide puis quitter.

--force-help
    Donne des renseignements sur les options --force-quelque-chose (depuis dpkg 1.19.5).

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--admindir répertoire
    Fixe le répertoire d'administration à répertoire, où se trouve aussi le fichier statoverride. La valeur par défaut est /var/lib/dpkg. si DPKG_ADMINDIR n'a pas été défini.

--instdir répertoire
    Définit le répertoire d'installation qui désigne le répertoire où les paquets sont installés (depuis dpkg 1.19.2). Par défaut c'est « / » si DPKG_ROOT n'a pas été défini.

--root répertoire
    Définit le répertoire root à directory, ce qui définit le répertoire d'installation à « répertoire » et le répertoire d'administration à « répertoire/var/lib/dpkg » (depuis dpkg 1.19.2) si DPKG_ROOT n'a pas été défini.

--force-quelque-chose
--no-force-quelque-chose, --refuse-quelque-chose
    Force ou refuse (no-force et refuse signifient la même chose) de faire quelque chose (depuis dpkg 1.19.5). quelque-chose est une liste d'actions séparées par des virgules, décrites ci-après. --force-help affiche un message qui les décrit. Les actions marquées d'un (*) sont forcées par défaut.

    Warning: These options are mostly intended to be used by experts only. Using them without fully understanding their effects may break your whole system.

    all:
        Turns on (or off) all force options.

    statoverride-add:
        Overwrite an existing stat override when adding it (since dpkg 1.19.5).

    statoverride-remove:
        Ignore a missing stat override when removing it (since dpkg 1.19.5).

    security-mac(*):
        Use platform-specific Mandatory Access Controls (MAC) based security when installing files into the filesystem (since dpkg 1.19.5). On Linux systems the implementation uses SELinux.

    not-root:
        Try to (de)install things even when not root (since dpkg 1.21.8).

--force
    Force une opération, même si un test de validité l'interdirait. C'est nécessaire pour annuler une précédente dérogation. Cette option est obsolète (depuis dpkg 1.19.5), elle est remplacée par --force-all.

--update
    Essaye de changer immédiatement le chemin vers les nouveaux propriétaire et mode s'il existe.

--quiet
    Moins de bavardage sur ce qui est fait.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée.

1   Pour --list, s'il n'y a pas de dérogation ou si aucune ne correspond au « glob » fourni.

2   Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande non valable, ou interactions avec le système, telles que des accès à la base de données, des allocations de mémoire, etc.

ENVIRONNEMENT

DPKG_ROOT
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire racine du système de fichiers (depuis dpkg 1.19.2).

DPKG_ADMINDIR
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire de données pour dpkg.

DPKG_DEBUG
    Définit le masque de débogage (depuis dpkg 1.21.10) à partir d'une valeur octale. Actuellement, les drapeaux acceptés sont décrits dans l'option dpkg --debug, mais ces drapeaux n'auront pas tous un effet sur ce programme.

DPKG_FORCE
    Si cette variable est positionnée et qu'aucune des options --force-... n'est précisée, elle sera considérée comme l'option de forçage à utiliser (depuis dpkg 1.19.5).

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

FICHIERS

/var/lib/dpkg/statoverride
    Ce fichier contient la liste actuelle des dérogations concernant le système. Il se trouve dans le répertoire d'administration de dpkg, avec les autres fichiers importants comme status ou available.

    Note: dpkg-statoverride preserves the old copy of this file, with extension “-old”, before replacing it with the new one.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.